# $OpenBSD$

# CNC controller interface.
pseudo-device	cnc
file	dev/cnc/cnc.c			cnc needs-flag
file	dev/cnc/cnc_device.c		cnc needs-flag
file	dev/cnc/cnc_math.c		cnc needs-flag
file	dev/cnc/cnc_sin.S		cnc needs-flag
file	dev/cnc/cnc_sqrt.S		cnc needs-flag
file	dev/cnc/cnc_cbrt.c		cnc needs-flag
file	dev/cnc/cnc_log10.S		cnc needs-flag
file	dev/cnc/cnc_modf.c		cnc needs-flag
file	dev/cnc/cnc_quintic.c		cnc needs-flag

# Servo or stepping motor with clock/direction interface.
device	servo
attach	servo at gpio
file	dev/cnc/cnc_servo.c		servo		needs-flag

# Machine tool spindle controller.
device	spindle
attach	spindle at gpio
file	dev/cnc/cnc_spindle.c		spindle		needs-flag

# Control panel for CNC machining equipment.
device	cncpanel
attach	cncpanel at gpio
file	dev/cnc/cnc_panel.c		cncpanel	needs-flag

# Emergency stop button and/or limit switches.
device	estop
attach	estop at gpio
file	dev/cnc/cnc_estop.c		estop		needs-flag
